SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Web Browser)  >   Google Chrome Vendors:   Google
Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1026759
SecurityTracker URL:  http://securitytracker.com/id/1026759
CVE Reference:   CVE-2011-3031, CVE-2011-3032, CVE-2011-3033, CVE-2011-3034, CVE-2011-3035, CVE-2011-3036, CVE-2011-3037, CVE-2011-3038, CVE-2011-3039, CVE-2011-3040, CVE-2011-3041, CVE-2011-3042, CVE-2011-3043, CVE-2011-3044   (Links to External Site)
Date:  Mar 5 2012
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 17.0.963.65
Description:   Multiple vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

A use-after-free may occur in the v8 element wrapper [CVE-2011-3031]. Chamal de Silva reported this vulnerability.

A use-after-free may occur in SVG value handling [CVE-2011-3032]. Arthur Gerkis reported this vulnerability.

A buffer overflow in the Skia drawing library may occur [CVE-2011-3033]. Aki Helin of OUSPG reported this vulnerability.

A use-after-free may occur in SVG document handling [CVE-2011-3034]. Arthur Gerkis reported this vulnerability.

A use-after-free may occur in SVG use handling [CVE-2011-3035]. Arthur Gerkis reported this vulnerability.

A bad cast in line box handling may occur [CVE-2011-3036]. miaubiz reported this vulnerability.

A bad cast in anonymous block splitting may occur [CVE-2011-3037]. miaubiz reported this vulnerability.

A use-after-free may occur in multi-column handling [CVE-2011-3038]. miaubiz reported this vulnerability.

A use-after-free may occur in quote handling [CVE-2011-3039]. miaubiz reported this vulnerability.

An out-of-bounds memory read may occur in text handling [CVE-2011-3040]. miaubiz reported this vulnerability.

A use-after-free may occur in class attribute handling [CVE-2011-3041]. miaubiz reported this vulnerability.

A use-after-free may occur in table section handling [CVE-2011-3042]. miaubiz reported this vulnerability.

A use-after-free may occur in flexbox with floats [CVE-2011-3043]. miaubiz reported this vulnerability.

A use-after-free may occur in SVG animation elements [CVE-2011-3044]. Arthur Gerkis reported this vulnerability.

Impact:   A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fix (17.0.963.65).

The vendor's advisory is available at:

http://googlechromereleases.blogspot.com/2012/03/chrome-stable-update.html

Vendor URL:  googlechromereleases.blogspot.com/2012/03/chrome-stable-update.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Any), UNIX (macOS/OS X), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC